import request from '@/utils/request'

// 查询数据处理列表
export function listProcess(query) {
  return request({
    url: '/system/process/list',
    method: 'get',
    params: query
  })
}

// 根据算法类型查询数据处理数据
export function getDataProcessByType(type) {
  return request({
    url: '/system/process/getDataProcessByType/' + type,
    method: 'get'
  })
}

// 查询数据处理详细
export function getProcess(id) {
  return request({
    url: '/system/process/' + id,
    method: 'get'
  })
}

// 查询预处理数据列表
export function getPreprocessList(query) {
  return request({
    url: '/system/process/preprocessList',
    method: 'get',
    params: query
  })
}

// 新增数据处理
export function addProcess(data) {
  return request({
    url: '/system/process',
    method: 'post',
    data: data
  })
}

// 修改数据处理
export function updateProcess(data) {
  return request({
    url: '/system/process',
    method: 'put',
    data: data
  })
}

// 删除数据处理
export function delProcess(id) {
  return request({
    url: '/system/process/' + id,
    method: 'delete'
  })
}
